<?php

namespace App\Components;

use Daylight\Core\Modules\PageBuilder\Entities\Component;
use Daylight\Core\Modules\PageBuilder\Entities\Field;
use Illuminate\Support\Collection;

class TemplateContent extends Component
{
    public string $type = 'template-content';

    public function name(): string
    {
        return __('Template Content');
    }

    public function fields(): Collection
    {
        return collect([
            Field::text('anchor', __('Anchor')),
        ]);
    }
}
